#ifndef DCMRTSS_H
#define DCMRTSS_H
/** \file

   Definitions to handle DICOM RT Structure Sets.

*/
/*

   Copyright  2005-2011 M.Kraemer, GSI, D-64291 Darmstadt

   $Log$

*/
#include "dcmbasic.h"
#include "dcmmacro.h"
#include "dcmpat.h"
#include "dcmstudy.h"
#include "dcmseries.h"


#if defined(OLD)
                                      /** \struct SDICOMOTHERPATIENTIDS
                                          \brief .
                                      */ 
struct SDICOMOTHERPATIENTIDS {
   struct SDICOMDATAELEMENT 
          *psDEPatientID
         ,*psDEIssuerofPatientID
         ,*psDETypeofPatientID
         ;
};
                                      /** \struct SDICOMREFERENCEDPATIENT
                                          \brief .
                                      */ 
struct SDICOMREFERENCEDPATIENT {
   struct SDICOMDATAELEMENT 
          *psDEReferencedSOPClassUID
         ,*psDEReferencedSOPInstanceUID
         ;
};
                                      /** \struct SDICOMPATIENTSPECIESCODE
                                          \brief .
                                      */ 
struct SDICOMPATIENTSPECIESCODE {
   struct SDICOMDATAELEMENT 
          *psDECodeValue
         ,*psDECodingSchemeDesignator
         ,*psDECodingSchemeVersion
         ,*psDECodeMeaning
         
         ,*psDEContextIdentifier
         ,*psDEMappingResource
         ,*psDEContextGroupVersion
         ,*psDEContextGroupExtensionFlag
         ,*psDEContextGroupLocalVersion
         ,*psDEContextGroupExtensionCreatorUID
         ;
};
                                      /** \struct SDICOMPATIENTBREEDCODE
                                          \brief .
                                      */ 
struct SDICOMPATIENTBREEDCODE {
   struct SDICOMDATAELEMENT 
          *psDECodeValue
         ,*psDECodingSchemeDesignator
         ,*psDECodingSchemeVersion
         ,*psDECodeMeaning
         
         ,*psDEContextIdentifier
         ,*psDEMappingResource
         ,*psDEContextGroupVersion
         ,*psDEContextGroupExtensionFlag
         ,*psDEContextGroupLocalVersion
         ,*psDEContextGroupExtensionCreatorUID
         ;
};
                                      /** \struct SDICOMBREEDREGISTRATION
                                          \brief .
                                      */ 
struct SDICOMBREEDREGISTRATION {
   struct SDICOMDATAELEMENT 
          *psDEBreedRegistrationNumber
         ,*psDEBreedRegistryCodeSequence
         ;
};
                                      /** \struct SDICOMDEIDENTIFICATIONMETHODCODE
                                          \brief .
                                      */ 
struct SDICOMDEIDENTIFICATIONMETHODCODE {
   struct SDICOMDATAELEMENT 
          *psDECodeValue
         ,*psDECodingSchemeDesignator
         ,*psDECodingSchemeVersion
         ,*psDECodeMeaning
         
         ,*psDEContextIdentifier
         ,*psDEMappingResource
         ,*psDEContextGroupVersion
         ,*psDEContextGroupExtensionFlag
         ,*psDEContextGroupLocalVersion
         ,*psDEContextGroupExtensionCreatorUID
         ;
};
                                      /** \struct SDICOMPATIENTMODULE
                                          \brief Holds patient module attributes
                                                 PS 3.3 C.7.1.1 Patient Module
                                                 Table C.7-1.
                                      */ 
struct SDICOMPATIENTMODULE {
   struct SDICOMDATAELEMENT 
          *psDEPatientsName
         ,*psDEPatientID
         ,*psDEIssuerofPatientID
         ,*psDEPatientsBirthDate
         ,*psDEPatientsSex
         ,*psDEPatientsBirthTime
         ,*psDEOtherPatientIDs
         ,*psDEOtherPatientNames
         ,*psDEEthnicGroup
         ,*psDEPatientComments
         ,*psDEPatientSpeciesDescription
         ,*psDEPatientBreedDescription
         ,*psDEResponsiblePerson
         ,*psDEResponsiblePersonRole
         ,*psDEResponsibleOrganization
         ,*psDEPatientIdentityRemoved
         ,*psDEDeidentificationMethod
         ;
   int nRP;      
   struct SDICOMREFERENCEDPATIENT *psRP;      
   int nOPI;      
   struct SDICOMOTHERPATIENTIDS *psOPI;      
   int nPSC;      
   struct SDICOMPATIENTSPECIESCODE *psPSC;      
   int nPBC;      
   struct SDICOMPATIENTBREEDCODE *psPBC;      
   int nBR;      
   struct SDICOMBREEDREGISTRATION *psBR;      
   int nDMC;      
   struct SDICOMDEIDENTIFICATIONMETHODCODE *psDMC;      
};
#endif
                                      /** \struct SDICOMCLINICALTRIALSUBJECTMODULE
                                          \brief Table C.7-2b, Clinical Trial Subject Module.
                                      */ 
struct SDICOMCLINICALTRIALSUBJECTMODULE {
   struct SDICOMDATAELEMENT 
          *psDEClinicalTrialSponsorName
         ,*psDEClinicalTrialProtocolID
         ,*psDEClinicalTrialProtocolName
         ,*psDEClinicalTrialSiteID
         ,*psDEClinicalTrialSiteName
         ,*psDEClinicalTrialSubjectID
         ,*psDEClinicalTrialSubjectReadingID
         ;
};
#if defined(OLD)
                                      /** \struct SDICOMPHYSICIANSOFRECORDIDENTIFICATION
                                          \brief .
                                      */ 
struct SDICOMPHYSICIANSOFRECORDIDENTIFICATION {
   struct SDICOMDATAELEMENT 
          *psDE
         ;
};
                                      /** \struct SDICOMREFERRINGPHYSICIANIDENTIFICATION
                                          \brief .
                                      */ 
struct SDICOMREFERRINGPHYSICIANIDENTIFICATION {
   struct SDICOMDATAELEMENT 
          *psDE
         ;
};
                                      /** \struct SDICOMPHYSICIANSREADINGSTUDYIDENTIFICATION
                                          \brief .
                                      */ 
struct SDICOMPHYSICIANSREADINGSTUDYIDENTIFICATION {
   struct SDICOMDATAELEMENT 
          *psDE
         ;
};
                                      /** \struct SDICOMREFERENCEDSTUDY
                                          \brief .
                                      */ 
struct SDICOMREFERENCEDSTUDY {
   struct SDICOMDATAELEMENT 
          *psDEReferencedSOPClassUID
         ,*psDEReferencedSOPInstanceUID
         ;
};
                                      /** \struct SDICOMGENERALSTUDYMODULE
                                          \brief Table C.7-3, General Study Module.
                                      */ 
struct SDICOMGENERALSTUDYMODULE {
   struct SDICOMDATAELEMENT 
          *psDEStudyInstanceUID
         ,*psDEStudyDate
         ,*psDEStudyTime
         ,*psDEReferringPhysiciansName
         ,*psDEStudyID
         ,*psDEAccessionNumber
         ,*psDEStudyDescription
         ,*psDEPhysiciansofRecord
         ,*psDENameofPhysiciansReadingStudy
         ;
   size_t nRPI;
   struct SDICOMREFERRINGPHYSICIANIDENTIFICATION *psRPI; 
   size_t nPORI;
   struct SDICOMPHYSICIANSOFRECORDIDENTIFICATION *psPORI; 
   size_t nPRSI;
   struct SDICOMPHYSICIANSREADINGSTUDYIDENTIFICATION *psPRSI; 
   size_t nRStudy;
   struct SDICOMREFERENCEDSTUDY *psRStudy; 
   size_t nPC;
   struct SDICOMCODESEQUENCE *psPC; 
};
                                      /** \struct SDICOMPATIENTSTUDYMODULE
                                          \brief Table C.7-4a, Patient Study Module.
                                      */ 
struct SDICOMPATIENTSTUDYMODULE {
   struct SDICOMDATAELEMENT 
          *psDEAdmittingDiagnosesDescription
         ,*psDEPatientsAge
         ,*psDEPatientsSize
         ,*psDEPatientsWeight
         ,*psDEOccupation
         ,*psDEAdditionalPatientHistory
         ,*psDEAdmissionID
         ,*psDEIssuerofAdmissionID
         ,*psDEServiceEpisodeID
         ,*psDEIssuerofServiceEpisodeID
         ,*psDEServiceEpisodeDescription
         ,*psDEPatientsSexNeutered
         ;
   size_t nADC;
   struct SDICOMCODESEQUENCE *psADC; 
};

                                      /** \struct SDICOMCLINICALTRIALSTUDYMODULE
                                          \brief Table C.7-4b, Clinical Trial Study Module.
                                      */ 
struct SDICOMCLINICALTRIALSTUDYMODULE {
   struct SDICOMDATAELEMENT 
          *psDEClinicalTrialTimePointID
         ,*psDEClinicalTrialTimePointDescription
         ;
};
#endif
                                      /** \struct SDICOMRTSERIESMODULE
                                          \brief Table C.8-37, RT Series Module.
                                      */ 
struct SDICOMRTSERIESMODULE {
   struct SDICOMDATAELEMENT 
          *psDEModality
         ,*psDESeriesInstanceUID
         ,*psDESeriesNumber
         ,*psDESeriesDescription
         ;
                                      /* ReferencedPerformedProcedureStep */
   size_t nRPPS;
   struct SDICOMSOPINSTANCEREFERENCE *psRPPS; 
#if defined(LATER)
                                      /* RequestAttributes */
   size_t nRA;
   struct SDICOMxxx *psRA;
#endif    
};
#if defined(LATER)
                                      /** \struct SDICOMCLINICALTRIALSERIESMODULE
                                          \brief Table C.7-5b, Clinical Trial Series Module.
                                      */ 
struct SDICOMCLINICALTRIALSERIESMODULE {
   struct SDICOMDATAELEMENT 
          *psDEClinicalTrialCoordinatingCenterName
         ,*psDEClinicalTrialSeriesID
         ,*psDEClinicalTrialSeriesDescription
         ;
};
#endif
                                      /** \struct SDICOMGEQUIPMODULE
                                          \brief Table C.7-8, General Equipment Module.
                                      */ 
struct SDICOMGEQUIPMODULE {
   struct SDICOMDATAELEMENT 
          *psDEManufacturer
         ,*psDEInstitutionName
         ,*psDEInstitutionAddress
         ,*psDEStationName
         ,*psDEInstitutionalDepartmentName
         ,*psDEManufacturersModelName
         ,*psDEDeviceSerialNumber
         ,*psDESoftwareVersions
         ,*psDEGantryID
         ,*psDESpatialResolution
         ,*psDEDateofLastCalibration
         ,*psDETimeofLastCalibration
         ,*psDEPixelPaddingValue
         ;
};

                                      /** \struct SDICOMFRAMEOFREFERENCERELATIONSHIP
                                          \brief .
                                      */ 
struct SDICOMFRAMEOFREFERENCERELATIONSHIP{
   struct SDICOMDATAELEMENT 
          *psDERelatedFrameofReferenceUID
         ,*psDEFrameofReferenceTransformationType
         ,*psDEFrameofReferenceTransformationMatrix
         ,*psDEFrameofReferenceTransformationComment
         ;
};
                                      /** \struct SDICOMCONTOURIMAGE
                                          \brief .
                                      */ 
struct SDICOMCONTOURIMAGE {
   struct SDICOMDATAELEMENT 
          *psDEReferencedSOPClassUID
         ,*psDEReferencedSOPInstanceUID
         ,*psDEReferencedFrameNumber
         ,*psDEReferencedSegmentNumber
         ;
};
                                       /** \struct SDICOMRTREFERENCEDSERIES
                                          \brief .
                                      */ 
struct SDICOMRTREFERENCEDSERIES {
   struct SDICOMDATAELEMENT 
          *psDESeriesInstanceUID
         ,*psDE
         ;
   int nCI;      
   struct SDICOMCONTOURIMAGE *psCI;      
};
                                     /** \struct SDICOMRTREFERENCEDSTUDY
                                          \brief .
                                      */ 
struct SDICOMRTREFERENCEDSTUDY {
   struct SDICOMDATAELEMENT 
          *psDEReferencedSOPClassUID
         ,*psDEReferencedSOPInstanceUID
         ;
   int nRTRS;      
   struct SDICOMRTREFERENCEDSERIES *psRTRS;      
};
                                      /** \struct SDICOMFRAMEOFREFERENCE
                                          \brief .
                                      */ 
struct SDICOMFRAMEOFREFERENCE{
   struct SDICOMDATAELEMENT 
          *psDEFrameofReferenceUID
         ,*psDE
         ;
   int nFORR;      
   struct SDICOMFRAMEOFREFERENCERELATIONSHIP *psFORR;      
   int nRTRS;      
   struct SDICOMRTREFERENCEDSTUDY *psRTRS;      
};
                                      /** \struct SDICOMSTRUCTURESETROI
                                          \brief .
                                      */ 
struct SDICOMSTRUCTURESETROI {
   struct SDICOMDATAELEMENT 
          *psDEROINumber
         ,*psDEReferencedFrameofReferenceUID
         ,*psDEROIName
         ,*psDEROIDescription
         ,*psDEROIVolume
         ,*psDEROIGenerationAlgorithm
         ,*psDEROIGenerationDescription
         ;
};
                                      /** \struct SDICOMSTRUCTURESETMODULE
                                          \brief C.8-41, RT Structure set.
                                      */ 
struct SDICOMSTRUCTURESETMODULE {
   struct SDICOMDATAELEMENT 
          *psDEStructureSetLabel
         ,*psDEStructureSetName
         ,*psDEStructureSetDescription
         ,*psDEInstanceNumber
         ,*psDEStructureSetDate
         ,*psDEStructureSetTime
         ;
   int nFOR;      
   struct SDICOMFRAMEOFREFERENCE *psFOR;      
   int nSSR;      
   struct SDICOMSTRUCTURESETROI *psSSR;      
};

                                      /** \struct SDICOMCONTOUR
                                          \brief .
                                      */ 
struct SDICOMCONTOUR {
   struct SDICOMDATAELEMENT 
          *psDEContourNumber
         ,*psDEAttachedContours
         ,*psDEContourGeometricType
         ,*psDEContourSlabThickness
         ,*psDEContourOffsetVector
         ,*psDENumberofContourPoints
         ,*psDEContourData
         ;
   int nCI;      
   struct SDICOMCONTOURIMAGE *psCI;      
};
                                      /** \struct SDICOMROICONTOUR
                                          \brief .
                                      */ 
struct SDICOMROICONTOUR {
   struct SDICOMDATAELEMENT 
          *psDEReferencedROINumber
         ,*psDEROIDisplayColor
         ;
   int nC;      
   struct SDICOMCONTOUR *psC;      
};
                                      /** \struct SDICOMROICONTOURMODULE
                                          \brief Table C.8-42, ROI Contour Module Attributes.
                                      */ 
struct SDICOMROICONTOURMODULE {
   int nRC;      
   struct SDICOMROICONTOUR *psRC;      
};
                                      /** \struct SDICOMROIELEMENTALCOMPOSITION
                                          \brief .
                                      */ 
struct SDICOMROIELEMENTALCOMPOSITION {
   struct SDICOMDATAELEMENT 
          *psDEROIElementalCompositionAtomicNumber
         ,*psDEROIElementalCompositionAtomicMassFraction
         ,*psDEROIPhysicalPropertyValue
         ;
};
                                      /** \struct SDICOMROIPHYSICALPROPERTIES
                                          \brief .
                                      */ 
struct SDICOMROIPHYSICALPROPERTIES {
   struct SDICOMDATAELEMENT 
          *psDEROIPhysicalProperty
         ;
   int nREC;      
   struct SDICOMROIELEMENTALCOMPOSITION *psREC;      
};
                                      /** \struct SDICOMRELATEDRTROIOBSERVATIONS
                                          \brief .
                                      */ 
struct SDICOMRELATEDRTROIOBSERVATIONS {
   struct SDICOMDATAELEMENT 
          *psDEObservationNumber
         ;
};
                                      /** \struct SDICOMRTROIIDENTIFICATIONCODE
                                          \brief .
                                      */ 
struct SDICOMRTROIIDENTIFICATIONCODE {
   struct SDICOMDATAELEMENT 
          *psDECodeValue
         ,*psDECodingSchemeDesignator
         ,*psDECodingSchemeVersion
         ,*psDECodeMeaning
         ,*psDEMappingResource
         ,*psDEContextGroupVersion
         ,*psDEContextGroupLocalVersion
         ,*psDEContextGroupExtensionFlag
         ,*psDEContextGroupExtensionCreatorUID
         ,*psDEContextIdentifier
         ;
};
                                      /** \struct SDICOMRTRELATEDROI
                                          \brief .
                                      */ 
struct SDICOMRTRELATEDROI {
   struct SDICOMDATAELEMENT 
          *psDEReferencedROINumber
         ,*psDERTROIRelationship
         ;
};
                                      /** \struct SDICOMRTROIOBSERVATIONS
                                          \brief Table C.8.8.8, RT ROI Observations Module.
                                      */ 
struct SDICOMRTROIOBSERVATIONS {
   struct SDICOMDATAELEMENT 
          *psDEObservationNumber
         ,*psDEReferencedROINumber
         ,*psDEROIObservationLabel
         ,*psDEROIObservationDescription
         
         ,*psDERTROIInterpretedType
         ,*psDEROIInterpreter
         ,*psDEMaterialID
         ,*psDE
         ;
   int nRTRR;      
   struct SDICOMRTRELATEDROI *psRTRR;      
   int nRTRIC;      
   struct SDICOMRTROIIDENTIFICATIONCODE *psRTRIC;      
   int nRRTRO;      
   struct SDICOMRELATEDRTROIOBSERVATIONS *psRRTRO;      
   int nRPP;      
   struct SDICOMROIPHYSICALPROPERTIES *psRPP;      
};
                                      /** \struct SDICOMRTROIOBSERVATIONSMODULE
                                          \brief .
                                      */ 
struct SDICOMRTROIOBSERVATIONSMODULE {
   int nRTRO;      
   struct SDICOMRTROIOBSERVATIONS *psRTRO;      
};
                                      /** \struct SDICOMAPPROVALMODULE
                                          \brief Table C.8-52, Approval Module.
                                      */ 
struct SDICOMAPPROVALMODULE {
   struct SDICOMDATAELEMENT 
          *psDEApprovalStatus
         ,*psDEReviewDate
         ,*psDEReviewTime
         ,*psDEReviewerName
         ;
};
         
                                      /** \struct SDICOMCODINGSCHEMEIDENTIFICATION
                                          \brief .
                                      */ 
struct SDICOMCODINGSCHEMEIDENTIFICATION {
   struct SDICOMDATAELEMENT 
          *psDECodingSchemeDesignator
         ,*psDECodingSchemeRegistry
         ,*psDECodingSchemeUID
         ,*psDECodingSchemeExternalID
         ,*psDECodingSchemeName
         ,*psDECodingSchemeVersion
         ,*psDECodingSchemeResponsibleOrganization
         ;
};
         
                                      /** \struct SDICOMPURPOSEOFREFERENCECODE
                                          \brief .
                                      */ 
struct SDICOMPURPOSEOFREFERENCECODE {
   struct SDICOMDATAELEMENT 
          *psDECodeValue
         ,*psDECodingSchemeDesignator
         ,*psDECodingSchemeVersion
         ,*psDECodeMeaning
         ,*psDEMappingResource
         ,*psDEContextGroupVersion
         ,*psDEContextGroupLocalVersion
         ,*psDEContextGroupExtensionFlag
         ,*psDEContextGroupExtensionCreatorUID
         ,*psDEContextIdentifier
         ;
};
         
                                      /** \struct SDICOMCONTRIBUTINGEQUIPMENT
                                          \brief .
                                      */ 
struct SDICOMCONTRIBUTINGEQUIPMENT {
   struct SDICOMDATAELEMENT 
          *psDEManufacturer
         ,*psDEInstitutionName
         ,*psDEInstitutionAddress
         ,*psDEStationName
         ,*psDEInstitutionalDepartmentName
         ,*psDEManufacturersModelName
         ,*psDEDeviceSerialNumber
         ,*psDESoftwareVersions
         ,*psDESpatialResolution
         ,*psDEDateofLastCalibration
         ,*psDETimeofLastCalibration
         ,*psDEContributionDateTime
         ,*psDEContributionDescription
         ;
   int nPORC;      
   struct SDICOMPURPOSEOFREFERENCECODE *psPORC;      
};
         
                                      /** \struct SDICOMENCRYPTEDATTRIBUTES
                                          \brief .
                                      */ 
struct SDICOMENCRYPTEDATTRIBUTES {
   struct SDICOMDATAELEMENT 
          *psDEEncryptedContentTransferSyntaxUID
         ,*psDEEncryptedContent
         ;
};
         
                                      /** \struct SDICOMORIGINALATTRIBUTES
                                          \brief .
                                      */ 
struct SDICOMORIGINALATTRIBUTES {
   struct SDICOMDATAELEMENT 
          *psDESourceofPreviousValues
         ,*psDEAttributeModificationDateTime
         ,*psDEModifyingSystem
         ,*psDEReasonfortheAttributeModification
         ,*psDEReferencedSOPClassUID
         ,*psDEReferencedSOPInstanceUID
         ,*psDEHL7InstanceIdentifier
         ,*psDERetrieveURI
         ;
};
                                      /** \struct SDICOMSOPCOMMONMODULE
                                          \brief Table C.12-1, SOP Common Module.
                                      */ 
struct SDICOMSOPCOMMONMODULE {
   struct SDICOMDATAELEMENT 
          *psDESOPClassUID
         ,*psDESOPInstanceUID
         ,*psDESpecificCharacterSet
         ,*psDEInstanceCreationDate
         ,*psDEInstanceCreationTime
         ,*psDEInstanceCreatorUID
         ,*psDERelatedGeneralSOPClassUID
         ,*psDEOriginalSpecializedSOPClassUID
         ,*psDETimezoneOffsetFromUTC
         ,*psDEInstanceNumber
         ,*psDESOPInstanceStatus
         ,*psDESOPAuthorizationDateandTime
         ,*psDESOPAuthorizationComment
         ,*psDEAuthorizationEquipmentCertificationNumber
         ;
   int nCSI;      
   struct SDICOMCODINGSCHEMEIDENTIFICATION *psCSI;      
   int nCE;      
   struct SDICOMCONTRIBUTINGEQUIPMENT *psCE;      
   int nEA;      
   struct SDICOMENCRYPTEDATTRIBUTES *psEA;      
   int nOA;      
   struct SDICOMORIGINALATTRIBUTES *psOA;      
};
         
                                      /** \struct SDICOMRTSTRUCTURESET
                                          \brief Holds RT Structure set.
                                      */ 
                                      /* PS 3.3
                                         A.19 RT STRUCTURE SET INFORMATION OBJECT DEFINITION
                                         Table A.19.3-1 RT structure set IOD modules 
                                      */
struct SDICOMRTSTRUCTURESET {
   struct SDICOMPATIENTMODULE sPM;
   struct SDICOMCLINICALTRIALSUBJECTMODULE sCTSubM;

   struct SDICOMGENERALSTUDYMODULE       sGSM;
   struct SDICOMPATIENTSTUDYMODULE       sPSM;
   struct SDICOMCLINICALTRIALSTUDYMODULE sCTSM;

   struct SDICOMRTSERIESMODULE            sRTSerM;
   struct SDICOMCLINICALTRIALSERIESMODULE sCTSerM;

   struct SDICOMGEQUIPMODULE sGEM;
   struct SDICOMSTRUCTURESETMODULE sSSM;
   struct SDICOMROICONTOURMODULE sRCM;
   struct SDICOMRTROIOBSERVATIONSMODULE sRTROM;
   struct SDICOMAPPROVALMODULE sAM;
   struct SDICOMSOPCOMMONMODULE sSCM;
};
/*

   Functions
   ---------
   
   dicomRTStructureSetFree    ( rtss, flag )
                              o releases resources
                              o to do
                              o calls:
                            
   dicomRTStructureSetFromFile( rtss, dcmfile, flag )
                              o build RT structure set from DICOM file
                              o to test
                              o calls:
   
   dicomRTStructureSetInit    ( rtss, flag )
                              o initialize
                              o to do
                              o calls:
                         
   dicomRTStructureSetInspect ( rtss, flag )
                              o inspect 
                              o to do
                              o calls:
                         
*/
                                      /* function prototypes */
struct SCMDERR dicomRTStructureSetFree    ( struct SDICOMRTSTRUCTURESET *, unsigned int );
struct SCMDERR dicomRTStructureSetFromFile( struct SDICOMRTSTRUCTURESET *, struct SDICOMFILE *, unsigned int );
struct SCMDERR dicomRTStructureSetInit    ( struct SDICOMRTSTRUCTURESET *, unsigned int );
struct SCMDERR dicomRTStructureSetInspect ( struct SDICOMRTSTRUCTURESET *, unsigned int );

struct SDICOM _dicomRTStructureSetTest( unsigned int );

#endif
