#ifndef DCMSTUDY_H
#define DCMSTUDY_H
/** \file

   Definitions to handle DICOM Study Modules.

*/
/*

   Copyright  2005-2011 M.Kraemer, GSI, D-64291 Darmstadt

   $Log$

*/
#include "dcmbasic.h"
#include "dcmmacro.h"


                                      /** \struct SDICOMREFERRINGPHYSICIANIDENTIFICATION
                                          \brief .
                                      */ 
struct SDICOMREFERRINGPHYSICIANIDENTIFICATION {
   struct SDICOMDATAELEMENT 
          *psDE
         ;
};
                                      /** \struct SDICOMPHYSICIANSOFRECORDIDENTIFICATION
                                          \brief .
                                      */ 
struct SDICOMPHYSICIANSOFRECORDIDENTIFICATION {
   struct SDICOMDATAELEMENT 
          *psDE
         ;
};
                                      /** \struct SDICOMPHYSICIANSREADINGSTUDYIDENTIFICATION
                                          \brief .
                                      */ 
struct SDICOMPHYSICIANSREADINGSTUDYIDENTIFICATION {
   struct SDICOMDATAELEMENT 
          *psDE
         ;
};
                                      /** \struct SDICOMREFERENCEDSTUDY
                                          \brief .
                                      */ 
struct SDICOMREFERENCEDSTUDY {
   struct SDICOMDATAELEMENT 
          *psDEReferencedSOPClassUID
         ,*psDEReferencedSOPInstanceUID
         ;
};


                                      /** \struct SDICOMGENERALSTUDYMODULE
                                          \brief Table C.7-3, General Study Module.
                                      */ 
struct SDICOMGENERALSTUDYMODULE {
   struct SDICOMDATAELEMENT 
          *psDEStudyInstanceUID
         ,*psDEStudyDate
         ,*psDEStudyTime
         ,*psDEReferringPhysiciansName
         ,*psDEStudyID
         ,*psDEAccessionNumber
         ,*psDEStudyDescription
         ,*psDEPhysiciansofRecord
         ,*psDENameofPhysiciansReadingStudy
         ;
   size_t nRPI;
   struct SDICOMREFERRINGPHYSICIANIDENTIFICATION *psRPI; 
   size_t nPORI;
   struct SDICOMPHYSICIANSOFRECORDIDENTIFICATION *psPORI; 
   size_t nPRSI;
   struct SDICOMPHYSICIANSREADINGSTUDYIDENTIFICATION *psPRSI; 
   size_t nRStudy;
   struct SDICOMREFERENCEDSTUDY *psRStudy; 
   size_t nPC;
   struct SDICOMCODESEQUENCE *psPC; 
};
                                      /** \struct SDICOMPATIENTSTUDYMODULE
                                          \brief Table C.7-4a, Patient Study Module.
                                      */ 
struct SDICOMPATIENTSTUDYMODULE {
   struct SDICOMDATAELEMENT 
          *psDEAdmittingDiagnosesDescription
         ,*psDEPatientsAge
         ,*psDEPatientsSize
         ,*psDEPatientsWeight
         ,*psDEOccupation
         ,*psDEAdditionalPatientHistory
         ,*psDEAdmissionID
         ,*psDEIssuerofAdmissionID
         ,*psDEServiceEpisodeID
         ,*psDEIssuerofServiceEpisodeID
         ,*psDEServiceEpisodeDescription
         ,*psDEPatientsSexNeutered
         ;
   size_t nADC;
   struct SDICOMCODESEQUENCE *psADC; 
};
                                      /** \struct SDICOMCLINICALTRIALSTUDYMODULE
                                          \brief Table C.7-4b, Clinical Trial Study Module.
                                      */ 
struct SDICOMCLINICALTRIALSTUDYMODULE {
   struct SDICOMDATAELEMENT 
          *psDEClinicalTrialTimePointID
         ,*psDEClinicalTrialTimePointDescription
         ;
};
         
                                      /** \struct SDICOMSTUDYMODULE
                                          \brief Holds Study Module Attributes.
                                      */ 
                                      /* PS 3.3
                                         C.7.2.1
                                         C.7.2.2
                                         C.7.2.3
                                      */
struct SDICOMSTUDYMODULE {

   struct SDICOMGENERALSTUDYMODULE       sGSM;
   struct SDICOMPATIENTSTUDYMODULE       sPSM;
   struct SDICOMCLINICALTRIALSTUDYMODULE sCTSM;

};
/*

   Functions
   ---------
   
   dicomStudyModuleFree    ( rtss, flag )
                              o releases resources
                              o to do
                              o calls:
                            
   dicomStudyModuleFromFile( rtss, dcmfile, flag )
                              o build RT structure set from DICOM file
                              o to test
                              o calls:
   
   dicomStudyModuleInit    ( rtss, flag )
                              o initialize
                              o to do
                              o calls:
                         
   dicomStudyModuleInspect ( rtss, flag )
                              o inspect 
                              o to do
                              o calls:
                         
*/
                                      /* function prototypes */
struct SCMDERR dicomStudyModuleFree   ( struct SDICOMSTUDYMODULE *, unsigned int );
struct SCMDERR dicomStudyModuleFromDS ( struct SDICOMSTUDYMODULE *, struct SDICOMDATASET *, unsigned int );
struct SCMDERR dicomStudyModuleInit   ( struct SDICOMSTUDYMODULE *, unsigned int );
struct SCMDERR dicomStudyModuleInspect( struct SDICOMSTUDYMODULE *, unsigned int );

struct SDICOM _dicomStudyModuleTest( unsigned int );

#endif
