#ifndef TRXRND_H
#define TRXRND_H
/** \file
   Definitions for random number generation.

   Copyright  1992-2009 M.Kraemer, GSI Darmstadt, all rights reserved

   $Log: trxrnd.h,v $
   Revision 1.1  2001/01/09 14:54:38  kraemer
   *** empty log message ***


*/

#include "vrandom.h"
#include "cmderr.h"
                                      /* */
union UNQUAD {
#if defined(AMIGA)
   unsigned long ul[2];
#else
   uint64_t uq;
#endif
   uint32_t ulDummy[2];
};
                                      /* */
#if defined(AMIGA)

#define TRXRNDVRNSD( psRnd, dFac, dAdd, nn, pdRN )\
   if ( (psRnd) -> uiFlag & TRXRND_LECUYER ) {\
      vrnesd( (psRnd)->uiSeedLEcuyer+0, (psRnd)->uiSeedLEcuyer+1, dFac, dAdd, nn, pdRN );\
      {\
      ULONGLONG ull;\
      ull[0] = 0; ull[1] = nn;\
      addq( (psRnd)->unCountLEcuyer.ul, ull );\
      }\
   } else {\
      vrnsd( &((psRnd)->uiSeedprn), dFac, dAdd, nn, pdRN );\
      (psRnd)->uiCountprn += nn;\
   }

#else   

#define TRXRNDVRNSD( psRnd, dFac, dAdd, nn, pdRN)\
   if ( (psRnd) -> uiFlag & TRXRND_LECUYER ) {\
      vrnesd( (psRnd)->uiSeedLEcuyer+0, (psRnd)->uiSeedLEcuyer+1, dFac, dAdd, nn, pdRN );\
      (psRnd)->unCountLEcuyer.uq += nn;\
   } else {\
      vrnsd( &((psRnd)->uiSeedprn), dFac, dAdd, nn, pdRN );\
      (psRnd)->uiCountprn += nn;\
   }
   
#endif
                                      /** \struct STRXRND
                                          \brief Random number stuff.
                                      */ 
struct STRXRND {
   uint32_t uiEvents;                 /**< # of events to sample */
   uint32_t uiFlag;                   /**< flag bits (see below) */
   uint32_t uiSeedprn;                /**< seed for prn */
   uint32_t uiCountprn;               /**< counter for prn algor. */
   uint32_t uiSeedLEcuyer[2];         /**< seeds for L'Ecuyer */
   union UNQUAD  unCountLEcuyer;      /**< 64-bit counter */
   struct SCMDERR sCE;
};
                                      /* enums */
/*
enum {
};
*/
                                      /* flags */
#define TRXRND_LECUYER 0x00000001
                                      /* */
                                      /* global flags */
#define TRXRND_DEBUG  0x80000000      /* general check flag */
#define TRXRND_QUIET  0x10000000      /* suppress error messages */
#define TRXRND_NOMSG  TRXRND_QUIET

                                      /* */
/*
   --- function prototypes
*/
int TRXRndFree       ( struct STRXRND *, unsigned int );
int TRXRndInit       ( struct STRXRND *, unsigned int );
int TRXRndInspect    ( struct STRXRND *, unsigned int );
int TRXRndIsValid    ( struct STRXRND *, unsigned int );
int TRXRndList       ( struct STRXRND *, unsigned int );
int TRXRndSeedExport ( struct STRXRND *, uint32_t [2], unsigned int );
int TRXRndSeedForward( struct STRXRND *, unsigned int, unsigned int );
int TRXRndSeedImport ( struct STRXRND *, uint32_t [2], unsigned int );
int TRXRndvrnsd      ( struct STRXRND *, double, double, size_t, double *, unsigned int );
int TRXRndvpoissond  ( struct STRXRND *, double, size_t, double *, unsigned int );

struct STRXRND *_TRXRndTest( unsigned int );
 
                                      /* error handling */
int TRXRndError      ( struct SCMDERR *, unsigned int );

enum { ERRTRXRND_SYS=1,
       ERRTRXRND_BADADDR,
       ERRTRXRND_BADNEVENTS,
       ERRTRXRND_BADNUM,
};

#endif
